Bug 511280 - Review Request: comoonics-cdsl-py - Cdsl tools written in python to manage cdsl (base on the open-sharedroot)
Review Request: comoonics-cdsl-py - Cdsl tools written in python to manage cd...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On: 511277
  Show dependency treegraph
Reported: 2009-07-14 10:46 EDT by Marc Grimme
Modified: 2010-08-03 09:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-08-03 09:36:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nphilipp: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Marc Grimme 2009-07-14 10:46:17 EDT
Spec URL: http://www.open-sharedroot.org/development/comoonics-cdsl-py/comoonics-cdsl-py.spec
SRPM URL: http://www.open-sharedroot.org/development/comoonics-cdsl-py/comoonics-cdsl-py-0-2-15-src.rpm/view
Description: comoonics-cdsl-py
Python libraries for managing cdsl environments base on the open-sharedroot concept.

You can create, delete, validate cdsls with different commands.

This library is required for the open-sharedroot feature: 

It depends on comoonics-base-py. See bugzilla .

This is my first package. Therefore I need a sponsor. Thanks !!
Comment 1 Nils Philippsen 2009-07-15 08:21:06 EDT
Let's handle the sponsoring part in bug #511277 as it blocks this one.
Comment 3 Frank Danapfel 2009-07-24 10:23:05 EDT
I will have a look at this.
Comment 4 Frank Danapfel 2009-07-24 10:44:43 EDT
Things checked so far:

- GOOD: rpmlint run on doesn't flag errors/warnings
- GOOD: package name according to guidelines
- GOOD: spec file named properly
- GOOD: package meets packaging guidelines
- GOOD: licensed according to licensing guidelines
- GOOD: license in spec file matches license in package
- GOOD: license shipped as documentation
- GOOD: the spec file is written in American English
- GOOD: the spec file is legible
- GOOD: sources used to build the package match upstream source
- GOOD: builds in mock for x86_64/Rawhide
- GOOD: all build dependencies listed
Comment 5 Frank Danapfel 2009-07-27 03:58:37 EDT
The remaining requirements have also been checked:

- PASS: doesn't ship locale files
- PASS: no libraries shipped
- GOOD: package is not relocatable
- GOOD: all shipped directories owned by package, direct dependency or
- GOOD: no duplicates in %files
- GOOD: permissions on files are set properly
- GOOD: package has a %clean section
- GOOD: package uses macros consistently
- GOOD: the package contains code, not content
- PASS: no large documentation files
- GOOD: %doc doesn't affect runtime
- PASS: no header files
- PASS: no static libraries
- PASS: no pkgconfig files
- PASS: no libraries included
- PASS: no devel package
- GOOD: no *.la libtool archives
- PASS: no desktop file
- GOOD: doesn't own files or directories owned by other packages
- GOOD: build root is cleaned at the beginning of %install
- GOOD: all file names are valid UTF-8
Comment 6 Nils Philippsen 2009-07-27 09:12:44 EDT
I concur with Frank's review. This package is APPROVED.
Comment 7 Marc Grimme 2009-07-27 10:36:25 EDT
New Package CVS Request
Package Name: comoonics-cdsl-py
Short Description: Comoonics cdsl utilities and library written in Python 
Owners: elcody02 markhla
Branches: devel
Comment 8 Kevin Fenzi 2009-07-28 00:47:49 EDT
cvs done.
Comment 9 Nils Philippsen 2010-08-03 09:36:56 EDT
Closing this review ticket (Marc, that would have been your job ;-).

Note You need to log in before you can comment on or make changes to this bug.